2022-08-19 13:49:16 UTC
95.2 MB
/factorio/config
LANGC.UTF-8
MODS/factorio/mods
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PGID845
PORT34197
PUID845
RCON_PORT27015
SAVES/factorio/saves
SCENARIOS/factorio/scenarios
SCRIPTOUTPUT/factorio/script-output
SHA256984dc1bd8d925a6cb287b86ec78ba0c7afb6725931a7f08cafe8dc08ba36a660
VERSION1.1.67
[#000] sha256:1b7ca6aea1ddfe716f3694edb811ab35114db9e93f3ce38d7dab6b4d9270cb0c - 2.81% (2.68 MB)
[#001] sha256:58f2fe6e250d2df6a94e555f622b0bff757aa7eab724f774cb2b1c3ad80a00f5 - 5.73% (5.45 MB)
[#002] sha256:a5004914da1f0aa145c42595f03a78f4ada0f87c6164c4a386d5d8fc6e62b126 - 91.45% (87.1 MB)
[#003] sha256:ee9ecc80ca5c03da1df625a25e2e689f5a81dbd2b9321235f8f69328499885d3 - 0.0% (2.38 KB)
[#004] sha256:301183f16390beecdc24a84fc2e1375ef0c0dd1e85048257ead911e3ea5fc648 - 0.0% (3.85 KB)
/bin/sh -c #(nop) ADD file:c1aa87a3b464fca64d769444b5201bc0426a1f517c91c4a7916270e10f8b300b in /
2022-04-05 00:20:19 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-05-22 12:15:32 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2022-05-22 12:15:32 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ALPINE_GLIBC_BASE_URL="https://github.com/sgerrand/alpine-pkg-glibc/releases/download" && ALPINE_GLIBC_PACKAGE_VERSION="2.32-r0" && ALPINE_GLIBC_BASE_PACKAGE_FILENAME="glibc-$ALPINE_GLIBC_PACKAGE_VERSION.apk" && ALPINE_GLIBC_BIN_PACKAGE_FILENAME="glibc-bin-$ALPINE_GLIBC_PACKAGE_VERSION.apk" && ALPINE_GLIBC_I18N_PACKAGE_FILENAME="glibc-i18n-$ALPINE_GLIBC_PACKAGE_VERSION.apk" && apk add --no-cache --virtual=.build-dependencies wget ca-certificates && echo "-----BEGIN PUBLIC KEY----- MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEApZ2u1KJKUu/fW4A25y9m y70AGEa/J3Wi5ibNVGNn1gT1r0VfgeWd0pUybS4UmcHdiNzxJPgoWQhV2SSW1JYu tOqKZF5QSN6X937PTUpNBjUvLtTQ1ve1fp39uf/lEXPpFpOPL88LKnDBgbh7wkCp m2KzLVGChf83MS0ShL6G9EQIAUxLm99VpgRjwqTQ/KfzGtpke1wqws4au0Ab4qPY KXvMLSPLUp7cfulWvhmZSegr5AdhNw5KNizPqCJT8ZrGvgHypXyiFvvAH5YRtSsc Zvo9GI2e2MaZyo9/lvb+LbLEJZKEQckqRj4P26gmASrZEPStwc+yqy1ShHLA0j6m 1QIDAQAB -----END PUBLIC KEY-----" | sed 's/ */\n/g' > "/etc/apk/keys/sgerrand.rsa.pub" && wget "$ALPINE_GLIBC_BASE_URL/$ALPINE_GLIBC_PACKAGE_VERSION/$ALPINE_GLIBC_BASE_PACKAGE_FILENAME" "$ALPINE_GLIBC_BASE_URL/$ALPINE_GLIBC_PACKAGE_VERSION/$ALPINE_GLIBC_BIN_PACKAGE_FILENAME" "$ALPINE_GLIBC_BASE_URL/$ALPINE_GLIBC_PACKAGE_VERSION/$ALPINE_GLIBC_I18N_PACKAGE_FILENAME" && apk add --no-cache "$ALPINE_GLIBC_BASE_PACKAGE_FILENAME" "$ALPINE_GLIBC_BIN_PACKAGE_FILENAME" "$ALPINE_GLIBC_I18N_PACKAGE_FILENAME" && rm "/etc/apk/keys/sgerrand.rsa.pub" && /usr/glibc-compat/bin/localedef --force --inputfile POSIX --charmap UTF-8 "$LANG" || true && echo "export LANG=$LANG" > /etc/profile.d/locale.sh && apk del glibc-i18n && rm "/root/.wget-hsts" && apk del .build-dependencies && rm "$ALPINE_GLIBC_BASE_PACKAGE_FILENAME" "$ALPINE_GLIBC_BIN_PACKAGE_FILENAME" "$ALPINE_GLIBC_I18N_PACKAGE_FILENAME" # buildkit
2022-08-19 13:44:39 UTC/bin/sh -c #(nop) LABEL maintainer=https://github.com/factoriotools/factorio-docker
2022-08-19 13:44:39 UTC/bin/sh -c #(nop) ARG USER=factorio
2022-08-19 13:44:40 UTC/bin/sh -c #(nop) ARG GROUP=factorio
2022-08-19 13:44:41 UTC/bin/sh -c #(nop) ARG PUID=845
2022-08-19 13:44:42 UTC/bin/sh -c #(nop) ARG PGID=845
2022-08-19 13:44:43 UTC/bin/sh -c #(nop) ARG VERSION
2022-08-19 13:44:44 UTC/bin/sh -c #(nop) ARG SHA256
2022-08-19 13:44:45 UTC/bin/sh -c #(nop) ARG CURL_RETRIES=8
2022-08-19 13:48:52 UTC/bin/sh -c #(nop) ENV PORT=34197 RCON_PORT=27015 VERSION=1.1.67 SHA256=984dc1bd8d925a6cb287b86ec78ba0c7afb6725931a7f08cafe8dc08ba36a660 SAVES=/factorio/saves CONFIG=/factorio/config MODS=/factorio/mods SCENARIOS=/factorio/scenarios SCRIPTOUTPUT=/factorio/script-output PUID=845 PGID=845
2022-08-19 13:48:53 UTC/bin/ash -eo pipefail -c #(nop) SHELL [/bin/ash -eo pipefail -c]
2022-08-19 13:49:12 UTC|3 CURL_RETRIES=8 GROUP=factorio USER=factorio /bin/ash -eo pipefail -c set -ox pipefail && if [[ "${VERSION}" == "" ]]; then echo "build-arg VERSION is required" && exit 1; fi && if [[ "${SHA256}" == "" ]]; then echo "build-arg SHA256 is required" && exit 1; fi && archive="/tmp/factorio_headless_x64_$VERSION.tar.xz" && mkdir -p /opt /factorio && apk add --update --no-cache --no-progress bash binutils curl file gettext jq libintl pwgen shadow su-exec && curl -sSL "https://www.factorio.com/get-download/$VERSION/headless/linux64" -o "$archive" --retry $CURL_RETRIES && echo "$SHA256 $archive" | sha256sum -c || (sha256sum "$archive" && file "$archive" && exit 1) && tar xf "$archive" --directory /opt && chmod ugo=rwx /opt/factorio && rm "$archive" && ln -s "$SCENARIOS" /opt/factorio/scenarios && ln -s "$SAVES" /opt/factorio/saves && mkdir -p /opt/factorio/config/ && addgroup -g "$PGID" -S "$GROUP" && adduser -u "$PUID" -G "$GROUP" -s /bin/sh -SDH "$USER" && chown -R "$USER":"$GROUP" /opt/factorio /factorio
2022-08-19 13:49:13 UTC/bin/ash -eo pipefail -c #(nop) COPY multi:f5656cbc77ff589558cffd0814c7917077b4aaea8bb7f7bccbd29301f78adc62 in /
2022-08-19 13:49:14 UTC/bin/ash -eo pipefail -c #(nop) COPY file:7eaab763e64cbfcc537fad360f03d845f3b34c723ce9ca61c22f636bfc1c26ea in /opt/factorio/config/config.ini
2022-08-19 13:49:14 UTC/bin/ash -eo pipefail -c #(nop) VOLUME [/factorio]
2022-08-19 13:49:15 UTC/bin/ash -eo pipefail -c #(nop) EXPOSE 34197/udp 27015/tcp
2022-08-19 13:49:16 UTC/bin/ash -eo pipefail -c #(nop) ENTRYPOINT ["/docker-entrypoint.sh"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.